org.apache.maven.scm.command.edit

## Class EditScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.edit.EditScmResult

- All Implemented Interfaces:
    Serializable

      public class EditScmResult
      extends ScmResult

  Version:
    $Id: EditScmResult.java 685539 2008-08-13 13:27:27Z vsiveton $
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EditScmResult(List editFiles, ScmResult result)`
    `EditScmResult(String commandLine, List editFiles)`
    `EditScmResult(String commandLine, String providerMessage, String commandOutput, boolean success)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List` | `getEditFiles()`

    - ### Methods inherited from class org.apache.maven.scm.ScmResult

      `getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EditScmResult

          public EditScmResult(String commandLine,
                       String providerMessage,
                       String commandOutput,
                       boolean success)

    - #### EditScmResult

          public EditScmResult(String commandLine,
                       List editFiles)

    - #### EditScmResult

          public EditScmResult(List editFiles,
                       ScmResult result)

  - ### Method Detail

    - #### getEditFiles

          public List getEditFiles()

Copyright © 2003–2015. All rights reserved.